org.openrdf.http.object.model
Class ParameterEntity

java.lang.Object
  extended by org.openrdf.http.object.model.ParameterEntity
All Implemented Interfaces:
Entity

public class ParameterEntity
extends Object
implements Entity

Provides an entity interface for a query parameter.


Constructor Summary
ParameterEntity(String[] mediaTypes, String mimeType, String[] values, String base, ObjectConnection con)
           
 
Method Summary
 Collection<? extends MimeType> getReadableTypes(Class<?> ctype, Type gtype, Accepter accepter)
           
<T> T
read(Class<T> ctype, Type genericType, String[] mediaTypes)
           
 
Methods inherited from class java.lang.Object
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait
 

Constructor Detail

ParameterEntity

public ParameterEntity(String[] mediaTypes,
                       String mimeType,
                       String[] values,
                       String base,
                       ObjectConnection con)
Method Detail

getReadableTypes

public Collection<? extends MimeType> getReadableTypes(Class<?> ctype,
                                                       Type gtype,
                                                       Accepter accepter)
                                                throws MimeTypeParseException
Specified by:
getReadableTypes in interface Entity
Throws:
MimeTypeParseException

read

public <T> T read(Class<T> ctype,
                  Type genericType,
                  String[] mediaTypes)
       throws TransformerConfigurationException,
              OpenRDFException,
              IOException,
              XMLStreamException,
              ParserConfigurationException,
              SAXException,
              TransformerException,
              MimeTypeParseException
Specified by:
read in interface Entity
Throws:
TransformerConfigurationException
OpenRDFException
IOException
XMLStreamException
ParserConfigurationException
SAXException
TransformerException
MimeTypeParseException


Copyright © 2004-2011 James Leigh Services Inc.. All Rights Reserved.